summaryrefslogtreecommitdiff
path: root/dracut.sh
diff options
context:
space:
mode:
authorHarald Hoyer <harald@redhat.com>2012-09-27 10:18:29 +0200
committerHarald Hoyer <harald@redhat.com>2012-09-27 10:18:29 +0200
commite1b48995c26c4f06d1a718539cb1bd5b0179af91 (patch)
treef1c7ce46b1de457e3fd52f1c2bdfcadfd007baa9 /dracut.sh
parent194e074764756a2ee4d7164aa422dddae51b3576 (diff)
downloaddracut-e1b48995c26c4f06d1a718539cb1bd5b0179af91.tar.gz
dracut-e1b48995c26c4f06d1a718539cb1bd5b0179af91.tar.bz2
dracut-e1b48995c26c4f06d1a718539cb1bd5b0179af91.zip
dracut.sh: create the initramfs non-world readable
Diffstat (limited to 'dracut.sh')
-rwxr-xr-xdracut.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/dracut.sh b/dracut.sh
index 7148d0f3..96faa061 100755
--- a/dracut.sh
+++ b/dracut.sh
@@ -1033,8 +1033,9 @@ if [[ $do_hardlink = yes ]] ; then
}
fi
+rm -f "$outfile"
dinfo "*** Creating image file ***"
-if ! ( cd "$initdir"; find . |cpio -R 0:0 -H newc -o --quiet| \
+if ! ( umask 077; cd "$initdir"; find . |cpio -R 0:0 -H newc -o --quiet| \
$compress > "$outfile"; ); then
dfatal "dracut: creation of $outfile failed"
exit 1